
<template>
  <div>
    <div>
      <label>First name: {{this.contactInfo.firstName}}</label>
    </div>
    <div>
      <label>Last name: {{this.contactInfo.lastName}}</label>
    </div>
    <el-button @click="dialogVisible = true">Edit...</el-button>

    <contact-info-dialog :dialogVisible.sync="dialogVisible" v-model="contactInfo" >
    </contact-info-dialog>
  </div>
</template>

<script>
import { Button} from 'element-ui';
import ContactInfoDialog from '../components/ContactInfoDialog';
import '../element-variables.scss';

export default {
  name: 'ContactInfo',
  data: function() {
    return {
      dialogVisible: false,
      contactInfo: {},
    }
  },
  components: {
    [Button.name]: Button,
    [ContactInfoDialog.name]: ContactInfoDialog,
  },
}
</script>
